public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/matplotlib/
Date: Thu,  4 Jul 2024 12:37:13 +0000 (UTC)	[thread overview]
Message-ID: <1720096623.d4c7b188ce9e35e42016612be20b6ed942457b9c.mgorny@gentoo> (raw)

commit:     d4c7b188ce9e35e42016612be20b6ed942457b9c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  4 11:25:27 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul  4 12:37:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4c7b188

dev-python/matplotlib: Bump to 3.9.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/matplotlib/Manifest                |   1 +
 dev-python/matplotlib/matplotlib-3.9.1.ebuild | 301 ++++++++++++++++++++++++++
 2 files changed, 302 insertions(+)

diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 6a4bff65997b..495752279678 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,3 +1,4 @@
 DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca SHA512 ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
 DIST matplotlib-3.8.4.tar.gz 35934425 BLAKE2B e449f1d71a3152a9cf34cf13c70489d2664c8734c8e8ae0ed5dec2ed5111e0210d679f7e6a1e0b707499d9968b945a7f91573186b82c6d036238aadb5c9da006 SHA512 d4c6a5b3484927dbae1b1203e9984b67d08c958c4a5136abaa805f1eb221146fb1211e5f20456e281d41fc09c94917a796ffacfdb185c58eeeb6d19e60c78b1a
 DIST matplotlib-3.9.0.tar.gz 36069890 BLAKE2B 02ddb25901b5a93a8daf6f26c98b92d5e35abe2e98783b039928338abb1d628adbf3fd4786c08cb1610bf405cb558ca31fc12dbde77ec5f2a633143c7ea659a1 SHA512 135ee2f97c26cb60479cc10bf8a833384c393993d8a905ab869f4c73b91a50ffa596f84ce349af7f1a0b08a21e1906394cf6a702bb567a9c3999d40f54974326
+DIST matplotlib-3.9.1.tar.gz 36084124 BLAKE2B b7cc9e219664849411cc3133afbdb676f956c943f92d447ba5cca0467da56d1575796fe1046e7503e6d7c4dfdfad6e5181404f331ed7ac1397c8c61f4a30bd23 SHA512 a1d48c42a5f4f04b57e34d25df842917e6380b8d6b6d1018c9b630cbbea4619b1d75729a218a6f52b63d4a61c2204bb26ad8f741566f84e41ca73190e419f672

diff --git a/dev-python/matplotlib/matplotlib-3.9.1.ebuild b/dev-python/matplotlib/matplotlib-3.9.1.ebuild
new file mode 100644
index 000000000000..57aa2cc322bf
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.9.1.ebuild
@@ -0,0 +1,301 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 pypi virtualx
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="
+	https://matplotlib.org/
+	https://github.com/matplotlib/matplotlib/
+	https://pypi.org/project/matplotlib/
+"
+SRC_URI+="
+	test? (
+		https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+	)
+"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="cairo excel gtk3 latex qt5 tk webagg wxwidgets"
+
+DEPEND="
+	media-libs/freetype:2
+	>=media-libs/qhull-2013:=
+	>=dev-python/numpy-1.25:=[${PYTHON_USEDEP}]
+"
+# internal copy of pycxx highly patched
+#	dev-python/pycxx
+RDEPEND="
+	${DEPEND}
+	>=dev-python/contourpy-1.0.1[${PYTHON_USEDEP}]
+	>=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+	>=dev-python/fonttools-4.22.0[${PYTHON_USEDEP}]
+	>=dev-python/kiwisolver-1.3.1[${PYTHON_USEDEP}]
+	>=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+	>=dev-python/pillow-8[jpeg,webp,${PYTHON_USEDEP}]
+	>=dev-python/pyparsing-2.3.1[${PYTHON_USEDEP}]
+	>=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+	>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+	media-fonts/dejavu
+	media-fonts/stix-fonts
+	media-libs/libpng:0
+	virtual/imagemagick-tools[jpeg,tiff]
+	cairo? (
+		dev-python/cairocffi[${PYTHON_USEDEP}]
+	)
+	excel? (
+		dev-python/xlwt[${PYTHON_USEDEP}]
+	)
+	gtk3? (
+		>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+		x11-libs/gtk+:3[introspection]
+	)
+	latex? (
+		virtual/latex-base
+		app-text/dvipng
+		app-text/ghostscript-gpl
+		app-text/poppler[utils]
+		dev-texlive/texlive-fontsrecommended
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-luatex
+		dev-texlive/texlive-xetex
+	)
+	qt5? (
+		$(python_gen_cond_dep '
+			dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+		' 'python3*')
+	)
+	webagg? (
+		>=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+	)
+	wxwidgets? (
+		$(python_gen_cond_dep '
+			dev-python/wxpython:*[${PYTHON_USEDEP}]
+		' python3_{10..12})
+	)
+"
+
+BDEPEND="
+	${RDEPEND}
+	dev-python/pybind11[${PYTHON_USEDEP}]
+	>=dev-python/setuptools-scm-7[${PYTHON_USEDEP}]
+	virtual/pkgconfig
+	test? (
+		$(python_gen_impl_dep 'tk')
+		dev-python/psutil[${PYTHON_USEDEP}]
+		dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+		>=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+		!hppa? ( !s390? (
+			|| (
+				media-video/ffmpeg[openh264]
+				media-video/ffmpeg[x264]
+			)
+		) )
+		gtk3? (
+			>=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+			x11-libs/gtk+:3[introspection]
+		)
+	)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_unpack() {
+	# do not unpack freetype
+	unpack "${P}.tar.gz"
+}
+
+python_prepare_all() {
+	# Affects installed _version.py, bug #854600
+	export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+	local PATCHES=(
+		"${FILESDIR}"/matplotlib-3.9.0-test.patch
+	)
+
+	# increase lock timeout to 30 s
+	sed -i -e 's:retries = 50:retries = 300:' lib/matplotlib/cbook.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+src_configure() {
+	unset DISPLAY # bug #278524
+	export XDG_RUNTIME_DIR="${T}/runtime-dir"
+	mkdir "${XDG_RUNTIME_DIR}" || die
+	chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+	DISTUTILS_ARGS=(
+		-Dsystem-freetype=true
+		-Dsystem-qhull=true
+		-Dmacosx=false
+	)
+}
+
+src_test() {
+	mkdir subprojects/packagecache || die
+	cp "${DISTDIR}/freetype-${FT_PV}.tar.gz" subprojects/packagecache/ || die
+	virtx distutils-r1_src_test
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# broken by -Wdefault
+		"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg6-MatplotlibDeprecationWarning]"
+		"tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg7-MatplotlibDeprecationWarning]"
+		tests/test_testing.py::test_warn_to_fail
+		tests/test_legend.py::test_legend_nolabels_warning
+		# TODO?
+		tests/test_backend_qt.py::test_fig_sigint_override
+		tests/test_backend_qt.py::test_ipython
+		tests/test_backend_nbagg.py::test_ipynb
+		# leak tests are fragile
+		tests/test_backends_interactive.py::test_figure_leak_20490
+		# major "images not close", new texlive perhaps
+		tests/test_contour.py::test_all_algorithms
+		# "no warnings"
+		tests/test_backend_pdf.py::test_invalid_metadata
+		tests/test_figure.py::test_too_many_figures
+	)
+
+	case ${EPYTHON} in
+		pypy3)
+			EPYTEST_DESELECT+=(
+				# TODO: warning isn't passed through
+				tests/test_image.py::test_large_image
+				# TODO
+				tests/test_pickle.py::test_complete
+				tests/test_pickle.py::test_no_pyplot
+				tests/test_pickle.py::test_pickle_load_from_subprocess
+				tests/test_pickle.py::test_simple
+				tests/test_texmanager.py::test_openin_any_paranoid
+				tests/test_widgets.py::test_check_buttons
+				tests/test_widgets.py::test_check_buttons_lines
+				tests/test_widgets.py::test_check_radio_buttons_image
+				tests/test_widgets.py::test_radio_buttons
+			)
+			if has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+				has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+			then
+				EPYTEST_DESELECT+=(
+					# TypeError is raised when exception is raised in a starred
+					# expression referencing a generator that uses "yield from"
+					# and raises -- non-critical, since some exception is raised
+					# after all
+					# https://foss.heptapod.net/pypy/pypy/-/issues/4032
+					tests/test_axes.py::test_bad_plot_args
+					tests/test_axes.py::test_plot_errors
+					tests/test_axes.py::test_plot_format_errors
+				)
+			fi
+			;;
+		python3.11)
+			EPYTEST_DESELECT+=(
+				# https://github.com/matplotlib/matplotlib/issues/23384
+				"tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtagg', 'QT_API': 'PyQt5'}]"
+				"tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtcairo', 'QT_API': 'PyQt5'}]"
+			)
+			;;
+		python3.12)
+			EPYTEST_DESELECT+=(
+				tests/test_constrainedlayout.py::test_compressed1
+			)
+			;;
+	esac
+
+	case ${ABI} in
+		hppa)
+			EPYTEST_DESELECT+=(
+				'tests/test_mathtext.py::test_mathtext_exceptions[hspace without value]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[hspace with invalid value]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[function without space]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[accent without space]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[frac without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[frac with empty parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[binom without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[binom with empty parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[genfrac without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[genfrac with empty parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[sqrt without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[sqrt with invalid value]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[overline without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[overline with empty parameter]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[left with invalid delimiter]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[right with invalid delimiter]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses with sizing]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses without sizing]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[dfrac without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[dfrac with empty parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[overset without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[underset without parameters]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[unknown symbol]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[double superscript]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[double subscript]'
+				'tests/test_mathtext.py::test_mathtext_exceptions[super on sub without braces]'
+				'tests/test_quiver.py::test_barbs[png]'
+				'tests/test_quiver.py::test_barbs_pivot[png]'
+				'tests/test_quiver.py::test_barbs_flip[png]'
+				'tests/test_text.py::test_parse_math'
+				'tests/test_text.py::test_parse_math_rcparams'
+			)
+			;&
+		alpha|arm|m68k|o32|ppc|s390|sh|sparc|x86)
+			EPYTEST_DESELECT+=(
+				# too large for 32-bit platforms
+				'tests/test_axes.py::test_psd_csd[png]'
+			)
+			;;
+		*)
+			;;
+	esac
+
+	# we need to rebuild mpl against bundled freetype, otherwise
+	# over 1000 tests will fail because of mismatched font rendering
+	local DISTUTILS_ARGS=(
+		"${DISTUTILS_ARGS[@]}"
+		-Dsystem-freetype=false
+	)
+	distutils_pep517_install "${BUILD_DIR}"/test
+	cp -r "${BUILD_DIR}"/{install,test}"${EPREFIX}/usr/bin" || die
+	local -x PATH=${BUILD_DIR}/test${EPREFIX}/usr/bin:${PATH}
+
+	pushd lib >/dev/null || die
+	local path
+	local sitedir=${BUILD_DIR}/test$(python_get_sitedir)
+	# sigh, upstream doesn't install these
+	while IFS= read -d '' path; do
+		cp -r "${path}" "${sitedir}/${path}" || die
+	done < <(
+		find \( \
+				-name baseline_images -o \
+				-name '*.ipynb' -o \
+				-name '*.pfb' -o \
+				-name '*.ttf' -o \
+				-name tinypages \
+			\) -print0
+	)
+	popd >/dev/null || die
+
+	# speed tests up
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	# pretend we're on CI to increase timeouts
+	local -x CI=1
+	nonfatal epytest --pyargs matplotlib -m "not network" \
+		-p rerunfailures --reruns=3 \
+		-o tmp_path_retention_policy=all || die
+}


             reply	other threads:[~2024-07-04 12:37 UTC|newest]

Thread overview: 288+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-04 12:37 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-11 18:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/matplotlib/ Arthur Zamarin
2024-09-02  7:29 Arthur Zamarin
2024-08-31 20:26 Sam James
2024-08-31 10:02 Arthur Zamarin
2024-08-31  8:00 Arthur Zamarin
2024-08-09  8:50 Jakov Smolić
2024-07-21  0:32 Sam James
2024-07-20 22:34 Sam James
2024-07-10  4:21 Ionen Wolkens
2024-06-28 16:16 Michał Górny
2024-06-14  4:07 Sam James
2024-06-13  5:04 Sam James
2024-06-12 10:23 Arthur Zamarin
2024-06-12  9:04 Arthur Zamarin
2024-06-12  8:42 Jakov Smolić
2024-05-29  3:48 Michał Górny
2024-05-27 15:30 Michał Górny
2024-05-27 15:11 Michał Górny
2024-05-27 15:11 Michał Górny
2024-04-20 11:46 Sam James
2024-04-20 11:23 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-20  9:48 Michał Górny
2024-04-12 12:09 Michał Górny
2024-04-12  6:26 Arthur Zamarin
2024-03-16 10:39 Arthur Zamarin
2024-03-14  6:26 Sam James
2024-03-13 20:58 Sam James
2024-03-13  0:54 Sam James
2024-03-06  3:40 Sam James
2024-03-02 18:49 Sam James
2024-03-02 10:52 Arthur Zamarin
2024-02-20  5:34 Sam James
2024-02-20  5:34 Sam James
2024-02-20  5:34 Sam James
2024-02-15 12:19 Michał Górny
2023-12-23 14:29 Arthur Zamarin
2023-12-22 14:29 Arthur Zamarin
2023-12-16 16:59 Michał Górny
2023-12-16 12:34 Michał Górny
2023-12-05  4:20 Michał Górny
2023-12-02 10:21 Arthur Zamarin
2023-12-02 10:06 Michał Górny
2023-12-02  9:45 Arthur Zamarin
2023-11-30 14:44 Michał Górny
2023-11-21 19:05 Michał Górny
2023-11-19 20:38 Michał Górny
2023-11-18 15:47 Michał Górny
2023-11-01  5:08 Michał Górny
2023-10-25  2:26 Sam James
2023-10-24 15:25 Michał Górny
2023-10-03 22:37 Sam James
2023-10-01  2:27 Sam James
2023-09-30 18:28 Arthur Zamarin
2023-09-30 15:27 Arthur Zamarin
2023-09-30 15:27 Arthur Zamarin
2023-09-30 10:41 Arthur Zamarin
2023-09-30  9:00 Sam James
2023-09-12  5:07 Michał Górny
2023-08-21 18:33 Andrew Ammerlaan
2023-08-20 18:02 Arthur Zamarin
2023-08-20  8:11 Sam James
2023-08-20  5:43 Sam James
2023-08-19 17:53 Arthur Zamarin
2023-08-17  2:54 Sam James
2023-08-16 21:24 Sam James
2023-08-16 20:12 Sam James
2023-08-16  7:03 Sam James
2023-08-16  5:56 Sam James
2023-07-19 11:10 Michał Górny
2023-07-09  7:59 Sam James
2023-05-20  7:15 Michał Górny
2023-05-04 16:17 Michał Górny
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-04-20 22:30 Sam James
2023-01-17  5:08 Michał Górny
2022-12-10 17:38 Sam James
2022-11-22 18:52 Arthur Zamarin
2022-11-22 18:52 Arthur Zamarin
2022-11-22 18:52 Arthur Zamarin
2022-11-01  3:36 Michał Górny
2022-10-25  7:44 Sam James
2022-10-25  7:44 Sam James
2022-10-25  7:44 Sam James
2022-10-25  7:44 Sam James
2022-10-25  7:42 Sam James
2022-10-25  7:38 Sam James
2022-10-25  7:36 Sam James
2022-10-10 23:40 Sam James
2022-10-10  8:18 Arthur Zamarin
2022-10-05  7:37 Arthur Zamarin
2022-10-05  7:37 Arthur Zamarin
2022-10-05  6:50 Michał Górny
2022-10-04  6:54 Michał Górny
2022-09-30 23:25 Sam James
2022-09-28 15:37 Jakov Smolić
2022-09-27 16:59 Sam James
2022-09-26  6:24 Arthur Zamarin
2022-09-16 20:16 Arthur Zamarin
2022-09-14 21:04 Sam James
2022-09-12  7:07 Agostino Sarubbo
2022-09-11  7:54 Agostino Sarubbo
2022-08-11  8:50 Michał Górny
2022-07-20 21:02 Sam James
2022-07-18 17:44 Sam James
2022-07-07 19:36 Arthur Zamarin
2022-07-03 12:01 Michał Górny
2022-06-30 21:47 Sam James
2022-06-29  9:08 Sam James
2022-06-17 11:17 Michał Górny
2022-06-07  6:34 Agostino Sarubbo
2022-06-07  6:31 Agostino Sarubbo
2022-05-05  2:56 Sam James
2022-05-05  2:56 Sam James
2022-05-03 14:11 Michał Górny
2022-05-03 11:43 Michał Górny
2022-05-03 11:43 Michał Górny
2022-05-03 11:43 Michał Górny
2022-05-03 10:20 Michał Górny
2022-05-03 10:20 Michał Górny
2022-05-03 10:20 Michał Górny
2022-02-09 20:37 Michał Górny
2022-02-09 20:22 Arthur Zamarin
2022-02-09 20:22 Arthur Zamarin
2021-12-24 16:56 Arthur Zamarin
2021-12-23 22:39 Sam James
2021-12-22  6:36 Arthur Zamarin
2021-12-22  6:35 Arthur Zamarin
2021-12-18 13:40 Arthur Zamarin
2021-12-18 13:38 Arthur Zamarin
2021-12-11 19:10 Arthur Zamarin
2021-12-11 19:10 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-20 10:23 Arthur Zamarin
2021-11-19 11:36 Sam James
2021-11-19 11:33 Sam James
2021-11-19  6:44 Sam James
2021-11-19  6:43 Sam James
2021-11-17  4:26 Arthur Zamarin
2021-11-10  4:15 Sam James
2021-10-29 12:34 Sam James
2021-10-26  3:14 Sam James
2021-10-17 19:09 Sam James
2021-10-17  0:35 Sam James
2021-10-17  0:32 Sam James
2021-10-11 15:18 Sam James
2021-09-07 18:34 Sam James
2021-09-06 23:56 Sam James
2021-09-06 23:55 Sam James
2021-09-06 23:54 Sam James
2021-09-06 23:53 Sam James
2021-09-06 23:51 Sam James
2021-09-06 23:49 Sam James
2021-08-11 20:14 Sam James
2021-07-28  6:42 Agostino Sarubbo
2021-06-20 16:31 Michał Górny
2021-06-20 14:37 Michał Górny
2021-06-19 20:54 Michał Górny
2021-05-01 14:06 Sam James
2021-04-29 14:19 Sam James
2021-04-29  0:22 Sam James
2021-04-01  8:35 Michał Górny
2021-03-05 19:55 Michał Górny
2021-03-05 18:51 Sam James
2021-03-03 21:41 Sam James
2021-03-02  4:50 Sam James
2021-03-02  4:44 Sam James
2021-02-25 11:15 Sam James
2021-02-18  8:36 Sam James
2021-01-30 14:29 Sam James
2021-01-07 10:33 Sam James
2021-01-05 23:44 Sam James
2020-11-29 20:53 Sam James
2020-11-15  9:35 Michał Górny
2020-11-12  9:17 Michał Górny
2020-11-08  0:32 Sam James
2020-10-23  1:43 Sam James
2020-09-18 15:30 Michał Górny
2020-09-15 22:19 Michał Górny
2020-09-14  0:12 Sam James
2020-09-09 21:59 Sergei Trofimovich
2020-08-23 16:52 Sam James
2020-08-18 16:51 Michał Górny
2020-08-14 14:31 Michał Górny
2020-08-07 19:25 Sam James
2020-08-01 23:20 Andreas Sturmlechner
2020-07-31  6:21 Michał Górny
2020-07-31  2:38 Sam James
2020-07-31  0:29 Sam James
2020-07-27  1:48 Sam James
2020-07-26  1:18 Sam James
2020-07-05 17:36 Michał Górny
2020-06-29 16:08 Mikle Kolyada
2020-06-07 21:04 Mart Raudsepp
2020-06-07 20:00 Michał Górny
2020-06-07 19:33 Michał Górny
2020-06-07 17:35 Michał Górny
2020-06-07 12:09 Michał Górny
2020-06-07 11:20 Michał Górny
2020-06-07  9:16 Michał Górny
2020-06-07  9:16 Michał Górny
2020-06-07  7:52 Michał Górny
2020-06-06 21:54 Andreas Sturmlechner
2020-06-05 11:30 Andreas Sturmlechner
2020-06-01 20:30 Michał Górny
2020-05-30 19:48 Michał Górny
2020-05-30 17:52 Matthew Thode
2020-05-30 16:20 Michał Górny
2020-05-30  8:56 Michał Górny
2020-05-29 17:23 Michał Górny
2020-04-26  3:12 Patrick McLean
2020-01-27 20:54 Michał Górny
2020-01-27 18:18 Rick Farina
2020-01-01 11:59 David Seifert
2019-12-29 16:11 罗百科
2019-12-04 17:15 Michał Górny
2018-05-24 12:08 Andreas Sturmlechner
2018-05-20 23:05 Matt Turner
2018-05-14  0:16 Aaron Bauman
2018-05-13 22:06 Thomas Deutschmann
2018-05-10 14:10 Andreas Sturmlechner
2018-05-10 14:10 Andreas Sturmlechner
2018-05-08  5:50 Andreas Sturmlechner
2018-04-25 20:27 Thomas Deutschmann
2018-04-22  7:34 Mikle Kolyada
2018-03-22 15:11 Mikle Kolyada
2018-03-19 23:05 Sergei Trofimovich
2018-03-18 23:51 Sergei Trofimovich
2018-03-18 10:40 Sergei Trofimovich
2018-03-17 10:51 Michał Górny
2018-03-12  2:07 Matt Turner
2018-03-12  0:51 Matt Turner
2018-03-10  7:44 Andrey Grozin
2018-03-09 12:24 Mart Raudsepp
2018-03-09 10:55 Andrey Grozin
2018-03-09 10:49 Andrey Grozin
2018-03-09  7:39 Andrey Grozin
2018-03-09  7:35 Andrey Grozin
2018-02-25 21:52 Sergei Trofimovich
2018-02-10 16:14 Andrey Grozin
2018-01-24  7:30 Andrey Grozin
2018-01-16 14:44 Andrey Grozin
2018-01-09  0:10 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-11-21 12:14 Andrey Grozin
2017-11-10 11:15 Andrey Grozin
2017-11-07 20:15 Pacho Ramos
2017-07-15 21:42 Patrice Clement
2017-07-15 13:34 Alexis Ballier
2017-07-09 12:06 Benda XU
2017-06-21 14:53 Mike Gilbert
2017-06-21 14:53 Mike Gilbert
2017-06-21  1:32 Mike Gilbert
2017-05-22 14:13 Michał Górny
2017-03-12 12:31 Zac Medico
2017-02-02 18:43 David Seifert
2017-02-02 18:43 David Seifert
2017-01-29 17:15 Fabian Groffen
2016-04-19 13:12 Michał Górny
2016-04-18  8:13 Patrice Clement
2016-01-17 19:43 Justin Lecher
2016-01-13  7:51 Justin Lecher
2016-01-11 10:16 Justin Lecher
2015-12-24 17:33 Justin Lecher
2015-12-09 19:07 Michał Górny
2015-11-20 11:29 Justin Lecher
2015-11-12 10:17 Justin Lecher
2015-11-12 10:11 Agostino Sarubbo
2015-11-11 17:27 Justin Lecher
2015-11-11  9:40 Agostino Sarubbo
2015-11-08 16:27 Justin Lecher
2015-11-07 12:10 Markus Meier
2015-11-03 10:24 Justin Lecher
2015-11-03 10:24 Justin Lecher
2015-11-02 11:50 Justin Lecher
2015-10-31  8:41 Justin Lecher
2015-10-27 15:20 Agostino Sarubbo
2015-10-21 13:41 Justin Lecher
2015-10-15 12:13 Justin Lecher
2015-08-13 12:59 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720096623.d4c7b188ce9e35e42016612be20b6ed942457b9c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox